com.salesforce.hyperdb.grpc

## Class QueryResultParam.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>
      - - com.salesforce.hyperdb.grpc.QueryResultParam.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryResultParamOrBuilder, Cloneable

Enclosing class:
  QueryResultParam

    public static final class QueryResultParam.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>
    implements QueryResultParamOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryResultParam`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryResultParam.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultParam` `build()`
`QueryResultParam` `buildPartial()`
`QueryResultParam.Builder` `clear()`
`QueryResultParam.Builder` `clearChunkId()` `uint64 chunk_id = 3;`
`QueryResultParam.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryResultParam.Builder` `clearOmitSchema()` `bool omit_schema = 4;`
`QueryResultParam.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryResultParam.Builder` `clearOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`QueryResultParam.Builder` `clearQueryId()` `string query_id = 1;`
`QueryResultParam.Builder` `clearRequestedData()`
`QueryResultParam.Builder` `clearRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`QueryResultParam.Builder` `clone()`
`long` `getChunkId()` `uint64 chunk_id = 3;`
`QueryResultParam` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getOmitSchema()` `bool omit_schema = 4;`
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`QueryResultParam.RequestedDataCase` `getRequestedDataCase()`
`RowRange` `getRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`RowRange.Builder` `getRowRangeBuilder()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`RowRangeOrBuilder` `getRowRangeOrBuilder()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`boolean` `hasChunkId()` `uint64 chunk_id = 3;`
`boolean` `hasRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryResultParam.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryResultParam.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryResultParam.Builder` `mergeFrom(QueryResultParam other)`
`QueryResultParam.Builder` `mergeRowRange(RowRange value)` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`QueryResultParam.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryResultParam.Builder` `setChunkId(long value)` `uint64 chunk_id = 3;`
`QueryResultParam.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultParam.Builder` `setOmitSchema(boolean value)` `bool omit_schema = 4;`
`QueryResultParam.Builder` `setOutputFormat(OutputFormat value)` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`QueryResultParam.Builder` `setOutputFormatValue(int value)` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`QueryResultParam.Builder` `setQueryId(String value)` `string query_id = 1;`
`QueryResultParam.Builder` `setQueryIdBytes(com.google.protobuf.ByteString value)` `string query_id = 1;`
`QueryResultParam.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryResultParam.Builder` `setRowRange(RowRange.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`QueryResultParam.Builder` `setRowRange(RowRange value)` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`QueryResultParam.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### clear

    public QueryResultParam.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### getDefaultInstanceForType

    public QueryResultParam getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryResultParam build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryResultParam buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryResultParam.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### setField

    public QueryResultParam.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### clearField

    public QueryResultParam.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### clearOneof

    public QueryResultParam.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### setRepeatedField

    public QueryResultParam.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     int index,
                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### addRepeatedField

    public QueryResultParam.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### mergeFrom

    public QueryResultParam.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultParam.Builder>`

#### mergeFrom

    public QueryResultParam.Builder mergeFrom(QueryResultParam other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### mergeFrom

    public QueryResultParam.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultParam.Builder>`
Throws:
  `IOException`

#### getRequestedDataCase

    public QueryResultParam.RequestedDataCase getRequestedDataCase()

Specified by:
  `getRequestedDataCase` in interface `QueryResultParamOrBuilder`

#### clearRequestedData

    public QueryResultParam.Builder clearRequestedData()

#### getQueryId

    public String getQueryId()

`string query_id = 1;`

Specified by:
  `getQueryId` in interface `QueryResultParamOrBuilder`
Returns:
  The queryId.

#### getQueryIdBytes

    public com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `QueryResultParamOrBuilder`
Returns:
  The bytes for queryId.

#### setQueryId

    public QueryResultParam.Builder setQueryId(String value)

`string query_id = 1;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

#### clearQueryId

    public QueryResultParam.Builder clearQueryId()

`string query_id = 1;`

Returns:
  This builder for chaining.

#### setQueryIdBytes

    public QueryResultParam.Builder setQueryIdBytes(com.google.protobuf.ByteString value)

`string query_id = 1;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.

#### getOutputFormatValue

    public int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Specified by:
  `getOutputFormatValue` in interface `QueryResultParamOrBuilder`
Returns:
  The enum numeric value on the wire for outputFormat.

#### setOutputFormatValue

    public QueryResultParam.Builder setOutputFormatValue(int value)

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Parameters:
  `value` - The enum numeric value on the wire for outputFormat to set.
Returns:
  This builder for chaining.

#### getOutputFormat

    public OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Specified by:
  `getOutputFormat` in interface `QueryResultParamOrBuilder`
Returns:
  The outputFormat.

#### setOutputFormat

    public QueryResultParam.Builder setOutputFormat(OutputFormat value)

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Parameters:
  `value` - The outputFormat to set.
Returns:
  This builder for chaining.

#### clearOutputFormat

    public QueryResultParam.Builder clearOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Returns:
  This builder for chaining.

#### hasChunkId

    public boolean hasChunkId()

`uint64 chunk_id = 3;`

Specified by:
  `hasChunkId` in interface `QueryResultParamOrBuilder`
Returns:
  Whether the chunkId field is set.

#### getChunkId

    public long getChunkId()

`uint64 chunk_id = 3;`

Specified by:
  `getChunkId` in interface `QueryResultParamOrBuilder`
Returns:
  The chunkId.

#### setChunkId

    public QueryResultParam.Builder setChunkId(long value)

`uint64 chunk_id = 3;`

Parameters:
  `value` - The chunkId to set.
Returns:
  This builder for chaining.

#### clearChunkId

    public QueryResultParam.Builder clearChunkId()

`uint64 chunk_id = 3;`

Returns:
  This builder for chaining.

#### hasRowRange

    public boolean hasRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `hasRowRange` in interface `QueryResultParamOrBuilder`
Returns:
  Whether the rowRange field is set.

#### getRowRange

    public RowRange getRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `getRowRange` in interface `QueryResultParamOrBuilder`
Returns:
  The rowRange.

#### setRowRange

    public QueryResultParam.Builder setRowRange(RowRange value)

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### setRowRange

    public QueryResultParam.Builder setRowRange(RowRange.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### mergeRowRange

    public QueryResultParam.Builder mergeRowRange(RowRange value)

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### clearRowRange

    public QueryResultParam.Builder clearRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### getRowRangeBuilder

    public RowRange.Builder getRowRangeBuilder()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### getRowRangeOrBuilder

    public RowRangeOrBuilder getRowRangeOrBuilder()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `getRowRangeOrBuilder` in interface `QueryResultParamOrBuilder`

#### getOmitSchema

    public boolean getOmitSchema()

`bool omit_schema = 4;`

Specified by:
  `getOmitSchema` in interface `QueryResultParamOrBuilder`
Returns:
  The omitSchema.

#### setOmitSchema

    public QueryResultParam.Builder setOmitSchema(boolean value)

`bool omit_schema = 4;`

Parameters:
  `value` - The omitSchema to set.
Returns:
  This builder for chaining.

#### clearOmitSchema

    public QueryResultParam.Builder clearOmitSchema()

`bool omit_schema = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final QueryResultParam.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`

#### mergeUnknownFields

    public final QueryResultParam.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultParam.Builder>`